@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: grid;
  place-items: center;
  background-color: $color-bg;
}

.hamburger {
  position: relative;
  width: 100px;
  height: 100px;
  background-color: $color-4;
  border-radius: 12px;
  cursor: pointer;

  span {
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    width: 65%;
    height: 10px;
    border-radius: 5px;
    background-color: $color-3;
    transform: translate(-50%, -50%);
    transition: background-color .5s ease-in-out;

    &::before,
    &::after {
      content: '';
      position: absolute;
      display: block;
      width: 100%;
      height: 100%;
      border-radius: 5px;
      background-color: $color-3;
      transition: top .5s ease-in-out .5s, transform .5s ease-in-out;
    }

    &::before {
      top: -25px;
    }

    &::after {
      top: 25px;
    }
  }

  &.open {
    span {
      background-color: rgba($color-3, 0);

      &::before,
      &::after {
        top: 0;
        transition: top .5s ease-in-out, transform .5s ease-in-out .5s;
      }

      &::before {
        transform: rotate(45deg);
      }

      &::after {
        transform: rotate(-45deg);
      }
    }
  }
}
